Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.assoc
Class O2MEdit<T,C extends java.util.Collection<T>>

    java.lang.Object
      hibergui.Component<T>
          hibergui.Edit<C>
              hibergui.assoc.AssociationEdit<T,C>
                  hibergui.assoc.O2MEdit<T,C>

Direct Known Subclasses:
  O2MEdit_Button

    public abstract class O2MEdit<T,C extends java.util.Collection<T>>

extends AssociationEdit<T,C>

Nested Class Summary

Nested classes/interfaces inherited from class hibergui.Edit
`Edit.DefaultComputation<TT>, Edit.EditConstraint`

Field Summary

Fields inherited from class hibergui.assoc.AssociationEdit
`btnAssoc, dlgAssoc`

Fields inherited from class hibergui.Edit
`form, lsn_TRAVERSE, lsn_WIDGET_MOD, value`

Fields inherited from class hibergui.Component
`lsn_WIDGET_FOCUS, lsn_WIDGET_KEY, style`

Constructor Summary
`O2MEdit(Form<?> form, org.eclipse.swt.widgets.Composite cptParent, int style, java.lang.String prop, java.lang.String name)`

Method Summary
`protected Form<T>` | `createForm(org.eclipse.swt.widgets.Composite cptParent)`
`protected abstract Form<T>` | `createForm(org.eclipse.swt.widgets.Composite cptParent, int style)`

Methods inherited from class hibergui.assoc.AssociationEdit
`clear, createAssocDialog, createAssocDialogButton, extract, isEnabled, refresh, setBackground, setEditable, setEnabled, setFocus, setSelection`

Methods inherited from class hibergui.Edit
`addConstraint, addConstraint, addModificationListener, addTraverseListener, fill, fireKeyPressed, fireKeyReleased, fireTraversal, fix, get, getDefault, getName, getPropertyName, hasDefault, isDirty, isEditable, isFixed, isValid, markClean, markDirty, markInvalid, markValid, removeConstraint, removeConstraint, removeModificationListener, removeTraverseListener, resetBackground, set, setDefault, setDefault, setDefault, verify`

Methods inherited from class hibergui.Component
`addChangeListener, addControlListener, addFocusListener, addKeyListener, createContents, dispose, fireChange, getControl, init, removeChangeListener, removeControlListener, removeFocusListener, removeKeyListener, setLayoutData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### O2MEdit

    public O2MEdit(Form<?> form,
                   org.eclipse.swt.widgets.Composite cptParent,
                   int style,
                   java.lang.String prop,
                   java.lang.String name)

Method Detail

### createForm

    protected Form<T> createForm(org.eclipse.swt.widgets.Composite cptParent)

  Specified by:
    `createForm` in class `AssociationEdit<T,C extends java.util.Collection<T>>`

### createForm

    protected abstract Form<T> createForm(org.eclipse.swt.widgets.Composite cptParent,
                                          int style)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD